#!/bin/bash
# 以下文件是串行执行的。
# VGG16 to VGG16
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type vgg16 --gpu 0 > vgg16tovgg16_evaluation_untarget_iclr.log 2>&1 &

# VGG16 to VGG19
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type vgg19 --gpu 0 > vgg16tovgg19_evaluation_untarget_iclr.log 2>&1 &

# VGG16 to ResNet50
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type resnet50 --gpu 0 > vgg16toresnet50_evaluation_untarget_iclr.log 2>&1 &

# VGG16 to WRN-16-4
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type wrn-16-4 --gpu 0 > vgg16towrn-16-4_evaluation_untarget_iclr.log 2>&1 &

# VGG16 to DenseNet121
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type densenet121 --gpu 0 > vgg16todensenet121_evaluation_untarget_iclr.log 2>&1 &

# VGG16 to MobileNetv2
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type mobilenetv2 --gpu 0 > vgg16tomobilenetv2_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to VGG16
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type vgg16 --gpu 0 > resnet50tovgg16_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to VGG19
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type vgg19 --gpu 0 > resnet50tovgg19_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to ResNet50
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type resnet50 --gpu 0 > resnet50toresnet50_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to WRN-16-4
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type wrn-16-4 --gpu 0 > resnet50towrn-16-4_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to DenseNet121
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type densenet121 --gpu 0 > resnet50todensenet121_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to MobileNetv2
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type mobilenetv2 --gpu 0 > resnet50tomobilenetv2_evaluation_untarget_iclr.log 2>&1 &
