#!/bin/bash
# 以下文件是串行执行的。
# VGG16 to VGG16
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type vgg16 --gpu 0 > vgg16tovgg16_evaluation_untarget_iclr.log 2>&1 &

# VGG16 to VGG19
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type vgg19 --gpu 0 > vgg16tovgg19_evaluation_untarget_iclr.log 2>&1 &

# VGG16 to ResNet50
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type resnet50 --gpu 0 > vgg16toresnet50_evaluation_untarget_iclr.log 2>&1 &

# VGG16 to ResNet152
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type resnet152 --gpu 0 > vgg16toresnet152_evaluation_untarget_iclr.log 2>&1 &

# VGG16 to Inceptionv3
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type inceptionv3 --gpu 0 > vgg16toinceptionv3_evaluation_untarget_iclr.log 2>&1 &

# VGG16 to MobileNetv2
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type mobilenetv2 --gpu 0 > vgg16tomobilenetv2_evaluation_untarget_iclr.log 2>&1 &

# VGG16 to Adversarial Inceptionv3
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type adv_inception_v3 --gpu 0 > vgg16toadvinceptionv3_evaluation_untarget_iclr.log 2>&1 &

# VGG16 to ensemble adversarial Incpetion-Resnet-v2
nohup python -u evaluation_untarget_iclr.py --model-type vgg16 --victim-model-type ens_adv_inception_resnet_v2 --gpu 0 > vgg16toensadvinceptionresnetv2_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to VGG16
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type vgg16 --gpu 0 > resnet50tovgg16_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to VGG19
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type vgg19 --gpu 0 > resnet50tovgg19_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to ResNet50
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type resnet50 --gpu 0 > resnet50toresnet50_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to ResNet152
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type resnet152 --gpu 0 > resnet50toresnet152_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to Inceptionv3
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type inceptionv3 --gpu 0 > resnet50toinceptionv3_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to MobileNetv2
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type mobilenetv2 --gpu 0 > resnet50tomobilenetv2_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to Adversarial Inceptionv3
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type adv_inception_v3 --gpu 0 > resnet50toadvinceptionv3_evaluation_untarget_iclr.log 2>&1 &

# ResNet50 to ensemble adversarial Incpetion-Resnet-v2
nohup python -u evaluation_untarget_iclr.py --model-type resnet50 --victim-model-type ens_adv_inception_resnet_v2 --gpu 0 > resnet50toensadvinceptionresnetv2_evaluation_untarget_iclr.log 2>&1 &
